MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0027929Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2016-10-04 13:452016-12-09 16:38
Reporternbv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.0.0 
Target Version[OCCT] 7.1.0Fixed in Version[OCCT] 7.1.0 
Summary0027929: Methods D0 and D1 for trimmed offset surface return different values if the surface has osculating surface
DescriptionAttached face is based on the trimmed Offset surface. At that the Offset surface is based on the trimmed B-spline surface.

After the fix for issue 0027892, the surface, which the given face is based on has obtained osculating surface (on the MASTER, osculating surface is NULL). As result, the behavior of methods D0 and D1 is different.

P.S.

Methods D0 and D1 are called in the point where the normal to the basis (to offset) surface is well defined. Therefore, osculating surface must not play any role in this case. But it is not indeed...
Steps To ReproduceDraw[]> restore f1.brep
Draw[]> mksurf os1 f1
Draw[]> svalue os1 0.5 0.5 x1 y1 z1
Draw[]> svalue os1 0.5 0.5 x2 y2 z2 dux duy duz dvx dvy dvz
Draw[]> vertex v1 x1 y1 z1
Draw[]> vertex v2 x2 y2 z2
Draw[]> distmini dd v1 v2
Draw[]> dump dd_val
# 0.694623157424446
Additional information
and documentation updates
Work of D0 method seems to be more correct than D1. And result of D0 method matches with the current MASTER.
TagsNo tags attached.
Test case numberbugs modalg_6 bug27929
Attached Files? file icon f1.brep (4,287 bytes) 2016-10-04 13:45

- Relationships
child of 0027892closedapn Construction error in offset 

-  Notes
(0058390)
nbv (developer)
2016-10-04 13:47

This bug is not reproduced on the current MASTER because the given offset surface does not have any osculating surface. Please use the fix for issue 0027892 in order to reproduce.
(0058436)
git (administrator)
2016-10-05 16:09

Branch CR27929 has been created by nbv.

SHA-1: d4fe6566b298d400d84434660bf946ae28444418


Detailed log of new commits:

Author: nbv
Date: Wed Oct 5 14:36:33 2016 +0300

    0027929: Methods D0 and D1 for trimmed offset surface return different values if the surface has osculating surface
    
    Using osculating surface is forbidden if the normal to basis (for offset) surface is well defined.
    
    Creation of test case for this issue.
    Adjusting test cases according to their new behavior.
(0058437)
nbv (developer)
2016-10-05 16:11

Dear Mikhail,

Please review CR27929 branch. The regression in "bugs modalg_4 bug8842_8" has been fixed.
(0058439)
git (administrator)
2016-10-05 16:52

Branch CR27929 has been updated forcibly by nbv.

SHA-1: 978d33e37695e42765ad1fea85659eafb6e2e6f0
(0058440)
nbv (developer)
2016-10-05 16:53

Small correction in the code.
(0058441)
git (administrator)
2016-10-05 17:15

Branch CR27929 has been updated forcibly by nbv.

SHA-1: 0fc153ddd7a94d42034b46fe395fb55e5103ad98
(0058442)
msv (developer)
2016-10-05 17:17

Reviewed.
(0058448)
apv (tester)
2016-10-06 11:38

Dear BugMaster,

Branch CR27929 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested.
SHA-1: 0fc153ddd7a94d42034b46fe395fb55e5103ad98

Number of compiler warnings:
occt component:
   Linux: 0 (0 on master)
   Windows: 0 (0 on master)
   MasOS: 0 (0 on master)
products component:
   Linux: 64
   Windows: 0
   MacOS: 1134

Regressions/Differences:
Not detected

Testing cases:
bugs modalg_6 bug27929 - OK
http://occt-tests/CR27929-master-OCCT/Debian70-64/bugs/modalg_6/bug27929.html [^]
http://occt-tests/CR27929-master-OCCT/Windows-64-VC10/bugs/modalg_6/bug27929.html [^]

Testing on Linux:
Total MEMORY difference: 90563706 / 90542307 [+0.02%]
Total CPU difference: 19367.579999999944 / 19276.80999999978 [+0.47%]

Testing on Windows:
Total MEMORY difference: 57216784 / 57236340 [-0.03%]
Total CPU difference: 17928.30572429874 / 18116.099728098634 [-1.04%]
(0059463)
git (administrator)
2016-10-28 21:42

Branch CR27929 has been deleted by kgv.

SHA-1: 0fc153ddd7a94d42034b46fe395fb55e5103ad98

- Related Changesets
occt: master 95ae6ebb
Timestamp: 2016-10-05 11:36:33
Author: nbv
Committer: apn
Details ] Diff ]
0027929: Methods D0 and D1 for trimmed offset surface return different values if the surface has osculating surface

Using osculating surface is forbidden if the normal to basis (for offset) surface is well defined.

Creation of test case for this issue.
Adjusting test cases according to their new behavior.
mod - src/GeomEvaluator/GeomEvaluator_OffsetSurface.cxx Diff ] File ]
mod - tests/bugs/modalg_4/bug8842_8 Diff ] File ]
add - tests/bugs/modalg_6/bug27929 Diff ] File ]

- Issue History
Date Modified Username Field Change
2016-10-04 13:45 nbv New Issue
2016-10-04 13:45 nbv Assigned To => msv
2016-10-04 13:45 nbv File Added: f1.brep
2016-10-04 13:47 nbv Note Added: 0058390
2016-10-04 13:48 nbv Additional Information Updated View Revisions
2016-10-04 13:51 nbv Relationship added child of 0027892
2016-10-04 15:34 msv Assigned To msv => nbv
2016-10-04 15:34 msv Status new => assigned
2016-10-04 15:34 msv Product Version => 7.0.0
2016-10-05 16:09 git Note Added: 0058436
2016-10-05 16:11 nbv Note Added: 0058437
2016-10-05 16:11 nbv Assigned To nbv => msv
2016-10-05 16:11 nbv Status assigned => resolved
2016-10-05 16:52 git Note Added: 0058439
2016-10-05 16:53 nbv Note Added: 0058440
2016-10-05 17:15 git Note Added: 0058441
2016-10-05 17:17 msv Note Added: 0058442
2016-10-05 17:17 msv Assigned To msv => bugmaster
2016-10-05 17:17 msv Status resolved => reviewed
2016-10-05 17:24 apv Assigned To bugmaster => apv
2016-10-06 11:37 apv Test case number => bugs modalg_6 bug27929
2016-10-06 11:38 apv Note Added: 0058448
2016-10-06 11:38 apv Assigned To apv => bugmaster
2016-10-06 11:38 apv Status reviewed => tested
2016-10-07 16:09 apn Changeset attached => occt master 95ae6ebb
2016-10-07 16:09 apn Assigned To bugmaster => apn
2016-10-07 16:09 apn Status tested => verified
2016-10-07 16:09 apn Resolution open => fixed
2016-10-28 21:42 git Note Added: 0059463
2016-12-09 16:30 user533 Status verified => closed
2016-12-09 16:38 user533 Fixed in Version => 7.1.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker